Loading...
Searching...
No Matches
bondtyper.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <cstdlib>`
`#include <openbabel/mol.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/oberror.h>`
`#include <openbabel/bondtyper.h>`
`#include <openbabel/elements.h>`
`#include "bondtyp.h"`

## Namespaces

namespace | OpenBabel

## Variables

OBBondTyper | bondtyper

## Detailed Description

Bond typer to perceive connectivity and bond orders/types.

Todo
  Needs to add aromatic ring bond order assignment. Eventually need to migrate OBMol::PerceiveBondOrders(), OBMol::ConnectTheDots(), and possibly some of the Kekulize routines